Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
Real Struct Reference

`#include <bigdecimal.h>`

## Data Fields
VALUE | obj
size_t | MaxPrec
size_t | Prec
SIGNED_VALUE | exponent
short | sign
short | flag
BDIGIT | frac [FLEXIBLE_ARRAY_SIZE]

## Detailed Description

Definition at line 136 of file bigdecimal.h.

## Field Documentation

SIGNED_VALUE Real::exponent

Definition at line 144 of file bigdecimal.h.

Referenced by AddExponent(), BigDecimal_divide(), BigDecimal_DoDivmod(), BigDecimal_hash(), GetAddSubPrec(), VpAddSub(), VpAsgn(), VpComp(), VpCopy(), VpCtoV(), VpDivd(), VpDtoV(), VpExponent10(), VpFrac(), VpMidRound(), VpMult(), VpNumOfChars(), VpPower(), VpSetPTR(), VpSqrt(), VpToFString(), VpToString(), and VpVtoD().

short Real::flag

Definition at line 155 of file bigdecimal.h.

Referenced by VpCopy().

BDIGIT Real::frac[FLEXIBLE_ARRAY_SIZE]

Definition at line 156 of file bigdecimal.h.

Referenced by BigDecimal_div(), BigDecimal_hash(), BigDecimal_to_i(), VpAddAbs(), VpAddSub(), VpAsgn(), VpComp(), VpCopy(), VpCtoV(), VpDivd(), VpDtoV(), VpExponent10(), VpFrac(), VpLeftRound(), VpMidRound(), VpMult(), VpNmlz(), VpPower(), VpRdup(), VpSetPTR(), VpSubAbs(), VpSzMantissa(), VpToFString(), VpToString(), and VpVtoD().

size_t Real::MaxPrec

Definition at line 138 of file bigdecimal.h.

Referenced by BigDecimal_divremain(), BigDecimal_load(), BigDecimal_memsize(), BigDecimal_prec(), VpAlloc(), VpAsgn(), VpCopy(), VpCtoV(), VpDivd(), VpDtoV(), VpFrac(), VpMult(), VpPower(), VpSetPTR(), and VpSqrt().

VALUE Real::obj

Definition at line 137 of file bigdecimal.h.

Referenced by BigDecimal_add(), BigDecimal_coerce(), BigDecimal_global_new(), BigDecimal_initialize(), BigDecimal_power(), BigDecimal_s_allocate(), BigDecimal_sub(), BigMath_s_exp(), BigMath_s_log(), rmpd_power_by_big_decimal(), ToValue(), VpCreateRbObject(), and VpNewRbClass().

size_t Real::Prec

Definition at line 141 of file bigdecimal.h.

Referenced by BigDecimal_abs(), BigDecimal_add(), BigDecimal_ceil(), BigDecimal_coerce(), BigDecimal_div(), BigDecimal_div2(), BigDecimal_divide(), BigDecimal_divremain(), BigDecimal_DoDivmod(), BigDecimal_fix(), BigDecimal_floor(), BigDecimal_frac(), BigDecimal_hash(), BigDecimal_mult(), BigDecimal_neg(), BigDecimal_power(), BigDecimal_prec(), BigDecimal_round(), BigDecimal_sqrt(), BigDecimal_sub(), BigDecimal_truncate(), BigDecimalCmp(), GetAddSubPrec(), VpAddSub(), VpAsgn(), VpComp(), VpCopy(), VpCtoV(), VpDivd(), VpDtoV(), VpFrac(), VpLimitRound(), VpMidRound(), VpMult(), VpNmlz(), VpNumOfChars(), VpPower(), VpRdup(), VpSetPTR(), VpSzMantissa(), VpToFString(), VpToString(), and VpVtoD().

short Real::sign

Definition at line 145 of file bigdecimal.h.

Referenced by BigDecimal_hash(), BigDecimal_sign(), BigDecimal_to_f(), VpComp(), and VpCopy().

The documentation for this struct was generated from the following file:

- ext/bigdecimal/bigdecimal.h